=== debian/changelog ===
glite-lb-client (5.1.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:46:13 +0200
