=== debian/control ===
Source: glite-lb-client
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool, libclassad1, libclassad-dev, glite-lb-types, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-client11
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping client library and CLI tools
 glite-lb-client is the library implementing client side of gLite LB API. This
 package contains the library, client tools and many
 examples.

Package: libglite-lb-client-dev
Section: libdevel
Architecture: any
Provides: glite-lb-client
Depends: libglite-lb-client11 (= ${binary:Version}), ${misc:Depends}, libglite-lb-common-dev, libglite-jobid-api-c-dev, libglite-jobid-api-cpp-dev
Description: Development files for gLite L&B/JP common log module
 This package contains development libraries and header files for gLite L&B
 client library.

Package: glite-lb-client-progs
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite L&B client programs and examples
 This package contains client programs and examples for gLite L&B.

Package: glite-lb-client-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-client11 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B client library debugging symbols
 This package contains debugging symbols for gLite L&B client library.
