=== debian/changelog ===
glite-lb-client (5.1.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:25:12 +0200
