=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client-5.1.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-client; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
