## glite-lb-client 5.2.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 CC:=gcc
 CXX:=g++
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -33,6 +35,17 @@
 CHECK_VERSION:=VERSION=${version} VERSION_AHEAD=${VERSION_AHEAD} perl ${check_version_pl}
 
 SUFFIXES = .T .l
+
+SOURCES = \
+	doc/* \
+	examples/*.c examples/*.l examples/*.sh examples/Makefile examples/README.examples \
+	interface/*.h interface/*.h.T \
+	m4/*.m4 \
+	project/.post* \
+	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
+	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
+	LICENSE Makefile
+SOURCES_EXEC=examples/gen_* examples/*.pl examples/*.sh src/*.sh test/TEST
 
 l_SRC = \
 	chkpt.l \
@@ -98,13 +111,16 @@
 COMMON_LIB:=-lglite_lb_common
 TRIO_LIB:=-lglite_lbu_trio
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+
 CFLAGS:=${DEBUG} \
 	-I. \
 	-I${top_srcdir}/src -I${top_srcdir}/interface \
 	-I${stagedir}${prefix}/include \
 	${COVERAGE_FLAGS} \
 	-DBUILDING_LB_CLIENT \
-	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} ${CFLAGS}
+	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 CXXFLAGS:=${CFLAGS}
 
@@ -172,7 +188,7 @@
 # EXAMPLES_PLUS_SRC:=indexed_attrs_plus.cpp job_status_plus.cpp query_events_plus.cpp listener.cpp user_jobs_plus.cpp job_log_plus.cpp notify_plus.cpp
 # EXAMPLES_PLUS:=${EXAMPLES_PLUS_SRC:.cpp=}
 
-EXAMPLES_CL_SRC:=user_jobs.c job_status.c multiple_user_jobs.c
+EXAMPLES_CL_SRC:=user_jobs.c job_status.c multiple_user_jobs.c qstat.c
 EXAMPLES_CL:=${EXAMPLES_CL_SRC:.c=}
 
 EXAMPLES_CL_THR_SRC:=user_jobs_threaded.c job_status_threaded.c
@@ -207,8 +223,6 @@
 endif
 
 generate: ${GEN_HDRS}
-
-default: all
 
 ifeq (${thrflavour},)
 ${LIB}: ${LIBTHROBJS}
@@ -341,8 +355,6 @@
 #EventAttrNames.pl:
 #	rm -f $@
 #	ln -s ${stagedir}${prefix}/share/perl/gLite/LB/$@ $@
-
-dist: distsrc distbin
 
 install:
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
@@ -378,10 +390,3 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
-		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
-	done
-	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
-	${INSTALL} -m 644 ${top_srcdir}/examples/README.examples "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
