## glite-lb-client 6.0.5

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 rpath?=${PREFIX}${prefix}/${libdir}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 GENSAM=${top_srcdir}/examples/gen_sample_job
-check_version_pl=$(shell sbin_dir=${stagedir}${prefix}/sbin; if test -f $${sbin_dir}/glite-lb-check_version.pl; then echo $${sbin_dir}; else echo ${prefix}/sbin; fi)/glite-lb-check_version.pl
+check_version_pl=$(shell bin_dir=${stagedir}${prefix}/bin; if test -f $${bin_dir}/glite-lb-check_version.pl; then echo $${bin_dir}; else echo ${prefix}/bin; fi)/glite-lb-check_version.pl
 CHECK_VERSION:=VERSION=${version} VERSION_AHEAD=${VERSION_AHEAD} perl ${check_version_pl}
 
 SUFFIXES = .T .l
@@ -44,7 +44,7 @@
 	project/.post* \
 	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
 	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=examples/gen_* examples/*.pl examples/*.sh src/*.sh test/TEST
 
 l_SRC = \
@@ -195,17 +195,15 @@
 EXAMPLES_CL_THR:=${EXAMPLES_CL_THR_SRC:.c=}
 
 MAN_GZ:=glite-lb-logevent.1.gz glite-lb-notify.1.gz
-MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz
 MAN = $(MAN_GZ:.gz=)
-MAN8 = $(MAN8_GZ:.gz=)
 
 PLUS_EXTRA_LIB:=-lglite_jobid
 
 
 # version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`
 
-# counted minor versions: 1.0, 2.3, 3.2, 4.1
-offset=6
+# counted minor versions: 1.0, 2.3, 3.2, 4.1, 5.2
+offset=8
 
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
@@ -217,9 +215,9 @@
 endif
 
 ifdef LB_STANDALONE
-compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
-else
-compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${MAN8_GZ}
+compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
+else
+compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
 endif
 
 generate: ${GEN_HDRS}
@@ -289,10 +287,6 @@
 	cp $? .
 	gzip -9 -f $(notdir $?)
 
-${MAN8_GZ}: ${MAN8}
-	cp $? .
-	gzip -9 -f $(notdir $?)
-
 perftest_logjobs.o: perftest_logjobs.c
 	${CC} ${CFLAGS} -DLB_PERF_DROP -c $<
 
@@ -338,7 +332,7 @@
 producer_test.o: %.o: %.cpp
 	${CXX} -c ${CXXFLAGS} ${CPPUNIT_CFLAGS} $<
 
-man: ${MAN_GZ} ${MAN8_GZ}
+man: ${MAN_GZ}
 
 stage:  compile
 	$(MAKE) install PREFIX=${stagedir} staging=1
@@ -364,7 +358,6 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	mkdir -p ${DESTDIR}${m4dir}
 ifdef LB_STANDALONE
 	${INSTALL} -m 755 ${c_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
@@ -374,8 +367,6 @@
 		install -m 755 ${plus_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
 endif
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} 
@@ -390,3 +381,9 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
+		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
+	done
+	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
+		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
+	done
+	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
