=== debian/changelog ===
glite-lb-client (6.0.5-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:32 +0100
