## glite-lb-client 6.0.7

=== Makefile ===
--- 
+++ 
@@ -168,6 +168,8 @@
 default_commonlib=${COMMON_LIB}
 default_clientlib_thr=${LIB}
 default_commonlib_thr=${COMMON_LIB}
+default_gsslib=-lglite_security_gss
+default_gsslib_thr=-lglite_security_gss
 else
 c_LIBRARIES=${NOTHRLIB} ${THRLIB}
 plus_LIBRARIES=${NOTHRPLUSLIB} ${THRPLUSLIB}
@@ -176,6 +178,8 @@
 default_commonlib=${COMMON_LIB_NOTHR}
 default_clientlib_thr=${THRLIB}
 default_commonlib_thr=${COMMON_LIB_THR}
+default_gsslib=-lglite_security_gss_${nothrflavour}
+default_gsslib_thr=-lglite_security_gss_${nothrflavour}
 endif
 lib_LTLIBRARIES=${c_LIBRARIES} ${plus_LIBRARIES}
 
@@ -249,19 +253,19 @@
 endif
 
 logevent: logevent.o args.o
-	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
+	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
 
 notify: notify.o
-	${LINK} -o $@ notify.o ${default_clientpluslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ notify.o ${default_clientpluslib} ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 register_sandbox: %: %.o
-	${LINK} -o $@ $@.o ${default_clientlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ $@.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
+	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
 ${EXAMPLES_CL_THR}: %: %.o
-	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
+	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${default_gsslib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
 
 ${TOOLS}: ${default_clientlib}
 
@@ -384,6 +388,3 @@
 		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
 	done
 	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
-		${INSTALL} -m 644 "${top_srcdir}/examples/$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"; \
-	done
-	${INSTALL} -m 644 ${top_srcdir}/examples/Makefile "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/"
