=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lb-client-dbg
 p_dev=libglite-lb-client-dev
 p_lib=libglite-lb-client14
 p_progs=glite-lb-client-progs
@@ -43,13 +42,15 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -vf debian/tmp/usr/lib/*.la
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mkdir -p debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	mkdir -p debian/$(p_dev)/usr/share/doc/$(p_dev)
 	mkdir -p debian/$(p_progs)/usr/share/doc/$(p_progs)
-	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
-	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.5/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
-	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.5
+	mkdir -p debian/$(p_lib)-dbg/usr/share/doc
+	mkdir -p debian/$(p_progs)-dbg/usr/share/doc
+	ln -s $(p_lib) debian/$(p_lib)-dbg/usr/share/doc/$(p_lib)-dbg
+	ln -s $(p_lib) debian/$(p_progs)-dbg/usr/share/doc/$(p_progs)-dbg
+	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/examples debian/$(p_dev)/usr/share/doc/$(p_dev)
+	mv debian/tmp/usr/share/doc/glite-lb-client-6.0.7/README-notify debian/$(p_progs)/usr/share/doc/$(p_progs)
+	rm -rf debian/tmp/usr/share/doc/glite-lb-client-6.0.7
 
 binary-indep:
 
@@ -63,8 +64,10 @@
 	dh_installlogrotate
 	dh_installcron
 	dh_install --fail-missing
+	dh_perl
 	dh_link
-	dh_strip --dbg-package=$(p_dbg)
+	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
+	dh_strip -p$(p_progs) --dbg-package=$(p_progs)-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
