## glite-lb-client 6.0.8

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 # We must follow major version changes of org.glite.lb.common due to
 # binary compatibility. However, we may live a life of our own, changing our
@@ -28,7 +29,7 @@
 # - installed *.la files should be removed
 rpath?=${PREFIX}${prefix}/${libdir}
 
-VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/doc:${top_srcdir}/project
 AT3=${stagedir}${prefix}/bin/glite-lb-at3
 GENSAM=${top_srcdir}/examples/gen_sample_job
 check_version_pl=$(shell bin_dir=${stagedir}${prefix}/bin; if test -f $${bin_dir}/glite-lb-check_version.pl; then echo $${bin_dir}; else echo ${prefix}/bin; fi)/glite-lb-check_version.pl
@@ -41,7 +42,7 @@
 	examples/*.c examples/*.l examples/*.sh examples/Makefile examples/README.examples \
 	interface/*.h interface/*.h.T \
 	m4/*.m4 \
-	project/.post* \
+	project/.post* project/*.pc.in \
 	src/*.c src/*.h src/*.T src/*.pl src/*.cpp \
 	test/*.c test/*.cpp test/*.T test/PLOT test/TEST \
 	Makefile
@@ -203,6 +204,7 @@
 
 PLUS_EXTRA_LIB:=-lglite_jobid
 
+PKG_CONFIG_FILES=client.pc clientpp.pc
 
 # version_info=-version-info `echo ${version} | cut -d. -f1,2 | tr . :`
 
@@ -219,9 +221,9 @@
 endif
 
 ifdef LB_STANDALONE
-compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
-else
-compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ}
+compile all: generate ${c_LIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${PKG_CONFIG_FILES}
+else
+compile all: check_version generate ${lib_LTLIBRARIES} ${TOOLS} logevent notify register_sandbox examples ${MAN_GZ} ${PKG_CONFIG_FILES}
 endif
 
 generate: ${GEN_HDRS}
@@ -252,50 +254,44 @@
 	${LINKXX} ${version_info} -o $@ ${PLUSTHRLOBJS} -rpath ${rpath} ${THRLIB} ${PLUS_EXTRA_LIB}
 endif
 
-logevent: logevent.o args.o
+logevent: logevent.o args.o ${default_clientlib}
 	${LINK} -o $@ logevent.o args.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lm
 
-notify: notify.o
+notify: notify.o ${default_clientpluslib} ${default_clientlib}
 	${LINK} -o $@ notify.o ${default_clientpluslib} ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-register_sandbox: %: %.o
+register_sandbox: %: %.o ${default_clientlib}
 	${LINK} -o $@ $@.o ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o
+${TOOLS} ${EXAMPLES} ${EXAMPLES_CL}: %: %.o ${default_clientlib}
 	${LINK} -o $@ $< ${default_clientlib} ${default_commonlib} ${default_gsslib} ${EXT_LIB} ${PLUS_EXTRA_LIB}
 
-${EXAMPLES_CL_THR}: %: %.o
+${EXAMPLES_CL_THR}: %: %.o ${default_clientlib_thr}
 	${LINK} -o $@ $< ${default_clientlib_thr} ${default_commonlib_thr} ${default_gsslib_thr} ${EXT_LIB} ${PLUS_EXTRA_LIB} -lpthread
 
-${TOOLS}: ${default_clientlib}
-
-${PLUSOBJS}: %.o: %.cpp
+${PLUSOBJS}: %.o: %.cpp ${GEN_HDRS}
 	${CXXCOMPILE} -c $<
 
-${PLUSTHROBJS}: %.thr.o: %.cpp
+${PLUSTHROBJS}: %.thr.o: %.cpp ${GEN_HDRS}
 	${CXXCOMPILE} -o $@ -c $<
 
-${EXAMPLES_PLUS}: ${default_clientpluslib}
-
-${EXAMPLES_PLUS}: %: %.o
+${EXAMPLES_PLUS}: %: %.o ${default_clientpluslib}
 	${LINKXX} -o $@ $< ${default_clientpluslib}
 
-${LIBOBJS}: %.o: %.c
+${LIBOBJS}: %.o: %.c ${GEN_HDRS}
 	${COMPILE} -c $<
 
-${LIBTHROBJS}: %.thr.o: %.c
+${LIBTHROBJS}: %.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} -o $@ -c $<
 
-${MAN_GZ}: ${MAN}
-	rm -f ${MAN_GZ} ${MAN}
-	cp $? .
-	gzip -9 -f $(notdir $?)
+%.1.gz: %.1
+	gzip -9 -f -c $< > $@
 
 perftest_logjobs.o: perftest_logjobs.c
 	${CC} ${CFLAGS} -DLB_PERF_DROP -c $<
 
 # catches $TOOLS and logevent compilation
-%.lo %.o: %.c
+%.lo %.o: %.c ${GEN_HDRS}
 	${CC} ${CFLAGS} -c $<
 
 %.h: %.h.T
@@ -303,7 +299,7 @@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
 
-%.lo %.o: %.cpp
+%.lo %.o: %.cpp ${GEN_HDRS}
 	${CXX} ${CFLAGS} ${GLOBUSINC} -c $<
 
 %.c: %.c.T
@@ -322,6 +318,9 @@
 	$(GENSAM) $< >$@ || rm -f $@
 	chmod -w,+x $@ > /dev/null
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
+
 examples: ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS}
 
 check: compile 
@@ -330,8 +329,8 @@
 check.producer: producer_test
 	./producer_test
 
-producer_test: producer_test.o prod_proto_test.o
-	${LINKXX} -o $@ ${default_clientlib} ${CPPUNIT_LIBS} $+ ${EXT_LIB}
+producer_test: producer_test.o prod_proto_test.o ${default_clientlib}
+	${LINKXX} -o $@ ${CPPUNIT_LIBS} $+ ${EXT_LIB}
 
 producer_test.o: %.o: %.cpp
 	${CXX} -c ${CXXFLAGS} ${CPPUNIT_CFLAGS} $<
@@ -358,8 +357,8 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples/
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
+	mkdir -p ${DESTDIR}${PREFIX}${docdir}/examples/
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
 	mkdir -p ${DESTDIR}${m4dir}
@@ -371,20 +370,13 @@
 		install -m 755 ${plus_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
 endif
-	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 644 client.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-client.pc
+	${INSTALL} -m 644 clientpp.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-clientpp.pc
+	${INSTALL} -m 644 ${top_srcdir}/doc/README-notify ${DESTDIR}${PREFIX}${docdir}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) 
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} 
 ifndef LB_STANDALONE
-#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-#       cp -r ${top_srcdir}/doc/api/{Makefile,api.tex,fig} ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/api
+#	cp -r C CPP ${DESTDIR}${PREFIX}${docdir}
+#       cp -r ${top_srcdir}/doc/api/{Makefile,api.tex,fig} ${DESTDIR}${PREFIX}${docdir}/api
 endif
 	for p in logevent notify register_sandbox; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-$$p"; \
-	done
-	for p in ${TOOLS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES} ${EXAMPLES_PLUS} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} ${sh_PROGS} ; do \
-		${INSTALL} -m 755 "$$p" "${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-$$p"; \
-	done
-	for p in ${EXAMPLES_SRC} ${EXAMPLES_PLUS_SRC} ${EXAMPLES_CL_SRC} ${EXAMPLES_CL_THR_SRC} ; do \
