=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: gLite Logging and Bookkeeping client library and CLI tools
- glite-lb-client is the library implementing client side of gLite LB API. This
- package contains the library, client tools and many
- examples.
+ glite-lb-client is the library implementing client side of gLite Logging and
+ Bookkeeping
+ API.
 
 Package: libglite-lb-client-dev
 Section: libdevel
